List chats
curl --request GET \
--url https://api.eu.blackmountain.io/v1/chats \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eu.blackmountain.io/v1/chats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eu.blackmountain.io/v1/chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eu.blackmountain.io/v1/chats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eu.blackmountain.io/v1/chats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eu.blackmountain.io/v1/chats")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eu.blackmountain.io/v1/chats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "chat_9Xk2Pq7w",
"title": "Q4 supplier review",
"model": "claude-sonnet-4-5",
"assistantId": null,
"pinned": false,
"archived": false,
"createdAt": "2026-10-27T09:12:44Z",
"updatedAt": "2026-10-27T09:14:02Z"
}
],
"nextCursor": "eyJpZCI6ImNtNnoifQ"
}{
"error": {
"code": "unauthorized",
"message": "Invalid API key."
}
}Chats
Chats auflisten
Returns the chats of the user who owns the API key, newest first.
GET
/
chats
List chats
curl --request GET \
--url https://api.eu.blackmountain.io/v1/chats \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eu.blackmountain.io/v1/chats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eu.blackmountain.io/v1/chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eu.blackmountain.io/v1/chats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eu.blackmountain.io/v1/chats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eu.blackmountain.io/v1/chats")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eu.blackmountain.io/v1/chats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "chat_9Xk2Pq7w",
"title": "Q4 supplier review",
"model": "claude-sonnet-4-5",
"assistantId": null,
"pinned": false,
"archived": false,
"createdAt": "2026-10-27T09:12:44Z",
"updatedAt": "2026-10-27T09:14:02Z"
}
],
"nextCursor": "eyJpZCI6ImNtNnoifQ"
}{
"error": {
"code": "unauthorized",
"message": "Invalid API key."
}
}Autorisierungen
Your 48° API key, for example bm_live_...
Abfrageparameter
Items per page (1–100)
Erforderlicher Bereich:
1 <= x <= 100nextCursor from the previous page
Return archived chats instead of active ones
War diese Seite hilfreich?

